### Method

# Pango Matrixtransform_pixel_rectangle

since: 1.16

#### Declaration [src]

    void
    pango_matrix_transform_pixel_rectangle (
      const PangoMatrix* matrix,
      PangoRectangle* rect
    )

#### Description [src]

First transforms the `rect` using `matrix`, then calculates the bounding box of the transformed rectangle.

This function is useful for example when you want to draw a rotated `PangoLayout` to an image buffer, and want to know how large the image should be and how much you should shift the layout when rendering.

For better accuracy, you should use `pango_matrix_transform_rectangle()` on original rectangle in Pango units and convert to pixels afterward using `pango_extents_to_pixels()`‘s first argument.

Available since: 1.16

#### Parameters

`rect`

  Type: `PangoRectangle`

  In/out bounding box in device units.

  The argument will be modified by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the data, and is responsible for freeing it.